# FoxyCart Ruby Library

**THIS IS A WORK IN PROGRESS, COME BACK SOON!**

A Ruby wrapper for the new FoxyCart Hypermedia REST API.

## Installation

```bash
gem install foxycart
```

...or...

```ruby
gem 'foxycart'
```

## Usage

Below is an example of how to create a store using the FoxyCart gem:

```ruby
require 'foxycart'

FoxyCart.api_key = '<YOUR-KEY-HERE>'
FoxyCart::Store.create(
  :store_name => 'My Test Store',
  :store_domain => 'some-subdomain',
  :store_url => 'http://example.com',
  :store_email => 'test@example.com',
  :postal_code => '98765',
  :country => 'US',
  :region => 'CA',
)
```

Check out the list of available interfaces below.

## Reference

**This is a work in progress, many features are still missing. The FoxyCart API itself is not finalized so this may change at any time!**

### FoxyCart::Store

[FoxyCart Store API Reference](http://api.foxycart.com/rels/store)

Supported Methods:

- `create`


## Development

1. Fork
2. Make changes (and add tests/docs!)
3. Submit pull request
4. ???
5. Profit!

## License

Released under the MIT license. See the `LICENSE` file for more details.

## Credit

Written by [Dana Woodman](http://danawoodman.com) and of [Teleporter.io](http://teleporter.io), based heavily on the [Stripe Ruby gem](https://github.com/stripe/stripe-ruby).
